## Function `urlEncode( txt )`

Description:
  Performs necessary quoting of a string for it to be included safely in the data part of a URL. Alphanumeric characters and the characters underscore ("`_`"), minus sign ("`-`"), period ("`.`") and tilde ("`~`") are passed through unchanged, and any other 7-bit ASCII character is represented by a percent sign ("`%`") followed by its 2-digit hexadecimal code. Characters with values of 128 or greater are simply dropped.

Parameters:
  `txt` (String)
    input (unencoded) string

Return Value (String):
  output (encoded) string

Example:
  `urlEncode("RR Lyr") = "RR%20Lyr"`

See Also:
  RFC 3986

Signature:
  `String urlEncode(String)`